%define api		1
%define dbusmajor	0
%define major		1
%define libname		%mklibname %{name} %{major}
%define libdbus		%mklibname %{name}-dbus %{api} %{dbusmajor}
%define develname	%mklibname -d %{name}
%define giolibname	%mklibname gio 2.0 0

%define busname		ca.desrt.dconf-editor

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	An editor for the Dconf configuration system
Name:		dconf-editor
Version:	43.0
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+ and GPLv2+ and GPLv3+
Group:		Graphical desktop/MATE
URL:		https://wiki.gnome.org/dconf
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(dconf)
BuildRequires:	vala-devel
BuildRequires:	gtk-doc
BuildRequires:	vala
BuildRequires:	intltool
BuildRequires:	lib64appstream-glib-devel
BuildRequires:	meson
BuildRequires:  lib64handy-devel
Requires:	dbus
Requires:	dconf

%description
This is a graphical editor for the Dconf configuration system.

%prep
%setup -q

# fix invalid-desktopfile:
# missing semicolon (';') as trailing character for locale string list key "Keywords[ro]"
sed -i -e 's|configurări;configurație;setări"|configurări;configurație;setări;"|' po/ro.po

%build
%meson
%meson_build

%install
%meson_install

install -d %{buildroot}%{_sysconfdir}/dconf/db
install -d %{buildroot}%{_sysconfdir}/dconf/profile



desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop



%find_lang dconf-editor


%files -f dconf-editor.lang
%{_bindir}/dconf-editor
%{_mandir}/man1/dconf-editor.*
%{_datadir}/applications/%{busname}.desktop
%{_datadir}/bash-completion/completions/dconf-editor
%{_iconsdir}/hicolor/*/*/*dconf-editor*.*
%{_datadir}/metainfo/%{busname}.appdata.xml
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/glib-2.0/schemas/%{busname}.gschema.xml

%post
%update_menus
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
%clean_menus
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas


%changelog
* Sun Jul 30 2023 tex - 43.0-1pclos2023
- new version

* Sun Jul 30 2023 tex - 3.38.3-2pclos2023
- fix rpm group

* Fri Apr 02 2021 tex - 3.38.3-1pclos2021
- new version

* Mon Nov 23 2020 tex - 3.38.2-1pclos2020
- new version
